# Vendors

Vendors, Suppliers, Distributors, or Manufacturors that provide Items into the Inventory.

## Getting Vendors

 - [GET /vendors](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/get-vendors.md)

## Creating new Vendors

 - [POST /vendors](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/post-vendors.md)

## Updating existing Vendors

 - [PUT /vendors](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/put-vendors.md): If the stores array is null or empty, then Store associations will not be updated.
If you want to set the availability of a store for a given vendor, add elements to the stores field, with the Available value set.

## Getting Vendor by Id

 - [GET /vendors/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/get-vendors-byid.md)

## Bulk delete Vendors (deprecated)

 - [DELETE /vendors](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/delete-vendors.md)

## Deleting a Vendor (deprecated)

 - [DELETE /vendors/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/vendors/delete-vendors-byid.md)

